org.apache.olingo.odata2.client.core.edm.Impl

## Class EdmEntityContainerImpl

- java.lang.Object
- - org.apache.olingo.odata2.client.core.edm.Impl.EdmEntityContainerImpl

- All Implemented Interfaces:
    EdmAnnotatable, EdmEntityContainer, EdmNamed

      public class EdmEntityContainerImpl
      extends Object
      implements EdmEntityContainer, EdmAnnotatable

  Objects of this class represent EdmEntityContainer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdmEntityContainerImpl(EdmImpl edm)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdmAnnotations` | `getAnnotations()` Get all annotations applied to an EDM element
    `EdmAssociationSet` | `getAssociationSet(EdmEntitySet sourceEntitySet, EdmNavigationProperty navigationProperty)` Get contained AssociationSet by providing the source entity set and the navigation property
    `List<EdmAssociationSet>` | `getAssociationSets()` ATTENTION: This method does not support LAZY LOADING.
    `EdmDocumentation` | `getDocumentation()`
    `ClientEdm` | `getEdm()`
    `Map<String,EdmAssociationSet>` | `getEdmAssociationSetMap()`
    `List<EdmAssociationSet>` | `getEdmAssociationSets()`
    `List<EdmEntitySet>` | `getEdmEntitySets()`
    `EdmEntityContainer` | `getEdmExtendedEntityContainer()`
    `List<EdmFunctionImport>` | `getEdmFunctionImports()`
    `EdmEntitySet` | `getEntitySet(String name)` Get contained EntitySet by name
    `List<EdmEntitySet>` | `getEntitySets()` ATTENTION: This method does not support LAZY LOADING.
    `String` | `getExtendz()`
    `EdmFunctionImport` | `getFunctionImport(String name)` Get contained FunctionImport by name
    `String` | `getName()`
    `String` | `getNamespace()`
    `boolean` | `isDefaultContainer()`
    `boolean` | `isDefaultEntityContainer()`
    `void` | `setAnnotations(EdmAnnotations annotations)`
    `void` | `setDefaultContainer(boolean isDefaultContainer)`
    `void` | `setDocumentation(EdmDocumentation documentation)`
    `void` | `setEdm(EdmImpl edm)`
    `void` | `setEdmAssociationSetMap(Map<String,EdmAssociationSet> associationSetMap)`
    `EdmEntityContainerImpl` | `setEdmAssociationSets(List<EdmAssociationSet> edmAssociationSets)`
    `EdmEntityContainerImpl` | `setEdmEntitySets(List<EdmEntitySet> edmEntitySets)`
    `void` | `setEdmExtendedEntityContainer(EdmEntityContainer edmExtendedEntityContainer)`
    `EdmEntityContainerImpl` | `setEdmFunctionImports(List<EdmFunctionImport> edmFunctionImports)`
    `void` | `setEntityContainerHierachy(List<EdmEntityContainer> entityContainerHierachy)`
    `void` | `setExtendz(String extendz)`
    `void` | `setName(String name)`
    `void` | `setNamespace(String namespace)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EdmEntityContainerImpl

          public EdmEntityContainerImpl(EdmImpl edm)
                                 throws EdmException

      Throws:
        `EdmException`

  - ### Method Detail

    - #### getEdmAssociationSetMap

          public Map<String,EdmAssociationSet> getEdmAssociationSetMap()

    - #### setEdmAssociationSetMap

          public void setEdmAssociationSetMap(Map<String,EdmAssociationSet> associationSetMap)

    - #### getDocumentation

          public EdmDocumentation getDocumentation()

    - #### setDocumentation

          public void setDocumentation(EdmDocumentation documentation)

    - #### setEdm

          public void setEdm(EdmImpl edm)

    - #### setNamespace

          public void setNamespace(String namespace)
                            throws EdmException

      Throws:
        `EdmException`

    - #### getEdm

          public ClientEdm getEdm()

    - #### getEdmExtendedEntityContainer

          public EdmEntityContainer getEdmExtendedEntityContainer()

    - #### setEdmExtendedEntityContainer

          public void setEdmExtendedEntityContainer(EdmEntityContainer edmExtendedEntityContainer)

    - #### setEntityContainerHierachy

          public void setEntityContainerHierachy(List<EdmEntityContainer> entityContainerHierachy)

    - #### getExtendz

          public String getExtendz()

    - #### setExtendz

          public void setExtendz(String extendz)

    - #### setName

          public void setName(String name)

    - #### setAnnotations

          public void setAnnotations(EdmAnnotations annotations)

    - #### isDefaultContainer

          public boolean isDefaultContainer()

    - #### setDefaultContainer

          public void setDefaultContainer(boolean isDefaultContainer)

    - #### getName

          public String getName()
                         throws EdmException

      Specified by:
        `getName` in interface `EdmNamed`
      Returns:
        name as String
      Throws:
        `EdmException`

    - #### getEntitySet

          public EdmEntitySet getEntitySet(String name)
                                    throws EdmException

      Description copied from interface: `EdmEntityContainer`
      Get contained EntitySet by name
      Specified by:
        `getEntitySet` in interface `EdmEntityContainer`
      Returns:
        `EdmEntitySet`
      Throws:
        `EdmException`

    - #### getFunctionImport

          public EdmFunctionImport getFunctionImport(String name)
                                              throws EdmException

      Description copied from interface: `EdmEntityContainer`
      Get contained FunctionImport by name
      Specified by:
        `getFunctionImport` in interface `EdmEntityContainer`
      Returns:
        `EdmFunctionImport`
      Throws:
        `EdmException`

    - #### getAssociationSet

          public EdmAssociationSet getAssociationSet(EdmEntitySet sourceEntitySet,
                                                     EdmNavigationProperty navigationProperty)
                                              throws EdmException

      Description copied from interface: `EdmEntityContainer`
      Get contained AssociationSet by providing the source entity set and the navigation property
      Specified by:
        `getAssociationSet` in interface `EdmEntityContainer`
      Parameters:
        `sourceEntitySet` - of type `EdmEntitySet`
        `navigationProperty` - of type `EdmNavigationProperty`
      Returns:
        `EdmAssociationSet`
      Throws:
        `EdmException`

    - #### isDefaultEntityContainer

          public boolean isDefaultEntityContainer()

      Specified by:
        `isDefaultEntityContainer` in interface `EdmEntityContainer`
      Returns:
        boolean true if this is the default container

    - #### getAnnotations

          public EdmAnnotations getAnnotations()
                                        throws EdmException

      Description copied from interface: `EdmAnnotatable`
      Get all annotations applied to an EDM element
      Specified by:
        `getAnnotations` in interface `EdmAnnotatable`
      Returns:
        `EdmAnnotations` never null
      Throws:
        `EdmException`

    - #### getEntitySets

          public List<EdmEntitySet> getEntitySets()
                                           throws EdmException

      Description copied from interface: `EdmEntityContainer`
      ATTENTION: This method does not support LAZY LOADING.
      Get list of all contained EntitySets.
      Specified by:
        `getEntitySets` in interface `EdmEntityContainer`
      Returns:
        with all contained `EdmEntitySet`
      Throws:
        `EdmException`

    - #### getAssociationSets

          public List<EdmAssociationSet> getAssociationSets()
                                                     throws EdmException

      Description copied from interface: `EdmEntityContainer`
      ATTENTION: This method does not support LAZY LOADING.
      Get list of all contained AssociationSets
      Specified by:
        `getAssociationSets` in interface `EdmEntityContainer`
      Returns:
        list with all contained `EdmAssociationSet`
      Throws:
        `EdmException`

    - #### getEdmEntitySets

          public List<EdmEntitySet> getEdmEntitySets()

    - #### setEdmEntitySets

          public EdmEntityContainerImpl setEdmEntitySets(List<EdmEntitySet> edmEntitySets)

    - #### getEdmAssociationSets

          public List<EdmAssociationSet> getEdmAssociationSets()

    - #### setEdmAssociationSets

          public EdmEntityContainerImpl setEdmAssociationSets(List<EdmAssociationSet> edmAssociationSets)

    - #### getEdmFunctionImports

          public List<EdmFunctionImport> getEdmFunctionImports()

    - #### setEdmFunctionImports

          public EdmEntityContainerImpl setEdmFunctionImports(List<EdmFunctionImport> edmFunctionImports)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getNamespace

          public String getNamespace()
                              throws EdmException

      Specified by:
        `getNamespace` in interface `EdmEntityContainer`
      Returns:
        String namepspace of the container
      Throws:
        `EdmException`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.